﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#text {
    font-size: 3rem;
}

body {
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", 
    Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    min-height: 100%;
}

/*banner*/
.banner {
    position: relative;
    width: 100%;
    height: 50vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10000;
}

.banner h1 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: white;
    position: relative;
    font-size: 2em;
    font-weight: 700;
    z-index: 1;
}

.banner img {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    filter: brightness(60%);
}

/*about the museum*/
.about {
    position: relative;
    width: 100%;
    display: flex;
}

.about .heading {
    font-size: 30px;
    margin-bottom: 10px;
    font-weight: 625;
}

.about .contentBx {
    background: #9bbbc3; 
    padding: 60px;
}

.abouttext {
    color: white;
    font-size: 20px;
    font-weight: 400;
}

.about .textBx {
    background: #549db0;
    padding: 60px;
}

.heading {
    color: white;
    font-size: 4em;
    font-weight: 600;
    margin-bottom: 10px;
}

/*events*/
.events {
    padding: 40px;
    background-color: #e6fdff;
}

.events .heading {
    align-items: flex-start;
    font-weight: 650;
    font-size: 35px;
    color: #115e72;
    padding-bottom: 5px;
}

.events-text {
    padding-left: 70px;
    text-align: start;
    font-size: 20px;
    color: #000;
}

.subtitle {
    font-size: 26px;
    font-weight: 500;
    color: #2c7a8c;
}

.description {
    font-size: 20px;
    color: #2c7a8c;
}

.event-table {
    padding: 1px;
}

.grid-col-1 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

.events .grid {
    grid-column-gap: 40px;
}

/*testing slideshow */
.mySlides {
    padding-left: 30px;
    display: none;
}

.mySlides img {
    display: flex;
}

.slideshow-container {
    max-width: 1000px;
    position: relative;
    margin: auto;
    align-content: center;
}

/* The dots/bullets/indicators */
.dot {
    cursor: default;
    height: 10px;
    width: 10px;
    margin: 0 2px;
    background-color: #bad8dd;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active {
    background-color: #87bcc1;
}

/* Fading animation */
.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}

@-webkit-keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

@keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
    .prev,
    .next,
    .text {
        font-size: 11px
    }
}

/*For tickets*/
table {
    width: 100%;
}

.ticket {
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
}

.heading-padding {
    padding-top: 19px;
    padding-left: 30px;
}

.heading-padding .heading {
    font-size: 30px;
    color: #0c5460;
    padding-left: 10px;
}

.table-cell {
    padding-bottom: 10px;
    padding-top: 10px;
    font-size: 20px;
    border-bottom: solid 1px #95bfc6;
    width: 17%;
    min-width: 200px;
}

.top {
    border-top: solid 2px #0c5460;
    border-bottom: solid 2px #0c5460;
}

.table-styling {
    overflow: hidden;
}

.ticket-header-border {
    border: solid 2px #0c5460;
    border-right: none;
}

/*Booking form*/
.booking {
    text-align: center;
    padding: 20px;
    font-size: x-large;
    color: #49adc4;
}

.booking-form {
    min-height: 100%;
}

.booking-heading {
    background: linear-gradient(to top, transparent, white);
    padding-left: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 35px;
    font-weight: 600;
    color: #368787;
}

form {
    font-size: 20px;
    padding-left: 30px;
    padding-bottom: 30px;
    padding-right: 30px;
    min-height: 100%;
}

.ticket-label {
    font-size: 25px;
    color: #4e918f;
}

.additional-details {
    font-size: 15px;
    color: #7d9191;
}

input[type=text] {
    width: 255px;
    margin: 8px;
    padding: 7px;
    border: solid 1px #95bfc6;
    border-radius: 5px;
}

select {
    border: solid 1px #95bfc6;
    border-radius: 5px;
}

input[type=number] {
    margin: 8px;
    padding: 3px;
    border: solid 1px #95bfc6;
    border-radius: 5px;
}

.ticket-display {
    align-content: center;
    display: none;
    background: linear-gradient(to top, #7eaaaa, #b0d5d6)
}

.ticket-display img {
    padding: 20px;
    max-height: 350px;
    align-items: center;
}


.ticket-details {
    padding-top: 50px;
    /*color: #2a706e;*/
    color: white;
}

.col-1-formatting {
    padding-left: 40px;
}

.col-2-formatting {
    padding-right: 40px;
}

label {
    padding-right: 20px;
}

input[type=date] {
    margin: 8px;
    padding: 3px;
    border: solid 1px #95bfc6;
    border-radius: 5px;
}

.ticket-header-display {
    font-size: 50px;
    font-weight: 650;
}

.ticket-price-display {
    font-size: 20px;
    font-weight: 450;
}

.ticket-date-display {
    font-size: 25px;
    font-weight: 500;
}

input[type=submit] {
    margin-right: 25px;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #346f75;
    border-radius: 7px;
    color: white;
}

input[type=submit]:hover {
    background-color: #1e5154;
    cursor: pointer;
}

input[type=reset] {
    margin-left: 25px;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #346f75;
    border-radius: 7px;
    color: white;
}

input[type=reset]:hover {
    background-color: #1e5154;
    cursor: pointer;
}

.final-message {
    font-size: 30px;
    color: #043e44;
    font-weight: 600;
    padding-bottom: 20px;
}

.header-bg {
    background-color: white;
}

.body-form {
    background-color: #b0d5d6;
}

.booking-form {
    min-height: 958px;
}

.footer-position {
    bottom: 0;
    min-width: 100%;
}
